<?php


use FiloBlu\Refilo\Remote\Entity\Provider\ProductAttributeProvider;
use Magento\Catalog\Api\ProductRepositoryInterface;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;
use Magento\Store\Model\StoreManagerInterface;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();

/** @var StoreManagerInterface $storeManager */
$storeManager = $objectManager->get(StoreManagerInterface::class);


$storeManager->setCurrentStore($storeManager->getStore('it'));

$productProvider = $objectManager->get(\FiloBlu\Refilo\Remote\Entity\Provider\ProductProvider::class);

foreach ($productProvider->withIds([653]) as $item) {
    print_r($item->toArray());

}
